Substy Developers
Team

Assign team role

Assign an agency role to the specified employee. Use list_assignable_team_roles to find roles the current account may grant.

PUT/v1/agencies/{agencyId}/team/roles/{roleId}/members/{employeeId}

Assign an agency role to the specified employee. Use list_assignable_team_roles to find roles the current account may grant.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
roleId*string
employeeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/agencies/string/team/roles/string/members/string" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "role": null,    "agencyId": "string",    "isOwner": true,    "id": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "imported": true,    "importedAt": null,    "color": null,    "employeeId": "string",    "roleId": null,    "rate": null,    "hourlyWage": null,    "joinedAt": "2019-08-24T14:15:22Z",    "removedAt": null,    "emojis": [      "string"    ]  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}